View Issue Details

IDProjectCategoryView StatusLast Update
0003113ScribusShape Drawingpublic2008-09-24 14:18
Reportercananian Assigned Tofschmid  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformanyOSanyOS Versionany
Product Version1.3 
Target VersionFixed in Version1.3.5svn 
Summary0003113: Color substitution.
DescriptionI would like to be able to more easily substitute colors in EPS/SVG files. For example, most imported clip art is black and white; I would like to substitute the proper foreground and background colors of my project, a book cover.
Additional InformationThis is an operation that would be done on a group, or multiple selected objects, and so may be related to bugs 0003108 and 0003109.

The proposed UI would be 'Substitute Colors' in the right-click menu when an item, multiple items, or a group is selected. This would display a dialog with all the colors used in the selected objects on the left hand side. You could then select new colors for these on the right hand side. The changes would apply when 'OK' was selected.

This would also be a convenient way to determine exactly which colors are used by an object or group of objects.
TagsNo tags attached.
Patch

Relationships

related to 0003108 closedcbradney Grouped objects don't have working XYZ properties. 
related to 0003109 closedfschmid Changing line/fill properties of a group 
related to 0002931 acknowledged Metabug: SVG 
child of 0004413 acknowledged Metabug: Colors 

Activities

cananian

2006-01-29 23:33

reporter   ~0008476

Another use of this feature would be (for example) in ensuring ISBN barcodes are printed with registration black, not rich black. You should be able to select the barcode and reassign the 'black' color being used.

christoph_s

2006-05-06 23:23

administrator   ~0011037

Sounds reasonable. I wonder how this can be done. avox?

PLucAuclair

2006-05-07 01:08

reporter   ~0011038

Looks a bit like that one: 0003746 for the top part

Yes, color substitution is a big need. Maybe just select a few colors in the colors dialog, and do a right click or something that would be a "replace with" and under the replace with text there would be a drop down box that would allow you to select a color. Not sure on that, how do Quark/InDesign do that? I think it's that way no?

Also, when we import illustrations there should be a popup that asks the user if he wants to add colors from the illustration or remap them, that could be a bit tricky but it's definitely feasible.

Issue History

Date Modified Username Field Change
2006-01-25 21:17 cananian New Issue
2006-01-29 23:33 cananian Note Added: 0008476
2006-04-15 16:56 mhanski Relationship added related to 0003109
2006-04-15 18:20 mhanski OS => any
2006-04-15 18:20 mhanski OS Version => any
2006-04-15 18:20 mhanski Platform => any
2006-04-15 18:20 mhanski Product Version 1.2.4.1 => 1.3
2006-04-15 18:20 mhanski Relationship added related to 0003108
2006-05-06 22:53 mhanski Status new => feedback
2006-05-06 23:23 christoph_s Note Added: 0011037
2006-05-07 01:08 PLucAuclair Note Added: 0011038
2006-05-17 18:36 christoph_s Relationship added related to 0002931
2006-10-14 22:25 mhanski Relationship added child of 0004413
2006-10-14 22:27 plinnell Status feedback => confirmed
2008-07-05 08:37 fschmid Status confirmed => resolved
2008-07-05 08:37 fschmid Fixed in Version => 1.3.5svn
2008-07-05 08:37 fschmid Resolution open => fixed
2008-07-05 08:37 fschmid Assigned To => fschmid
2008-09-24 14:18 cbradney Status resolved => closed